% File src/library/base/man/Primitive.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{Primitive}
\alias{.Primitive}
\alias{primitive}
\title{Look Up a Primitive Function}
\description{
  \code{.Primitive} は名前により \sQuote{プリミティブ}
(内部的に実装されている)な関数を調べる．
}
\usage{
.Primitive(name)
}
\arguments{
  \item{name}{\R 関数の名前．}
}
\details{
\code{.Primitive} の \code{\link{.Internal}} 関数に対する
長所は引数の引き渡しが効率的である可能性と，
例えば \code{\link{switch}} 中におけるように，好ましい場所では位置による
マッチングが行われることである．より詳細については  \sQuote{R Internals Manual}
を見よ．

すべてのプリミティブな関数は基礎名前空間中にある．

この関数はほとんど使われることはない：\code{`name`} や，より注意深く，
 \code{\link{get}(name, envir = baseenv())} が同じぐらい上手く動作し，
どの関数がプリミティブかを知っている必要がない(これは \R の進化とともに
変わるであろう)．
}
\seealso{
  \code{\link{.Internal}}.
}
\examples{
mysqrt <- .Primitive("sqrt")
c
.Internal # これはプリミティブで無いはずがない!
`if` # バックチックが必要
}
\keyword{interface}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Primitive.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Primitive}
%\alias{.Primitive}
%\alias{primitive}
%\title{Look Up a Primitive Function}
%\description{
%  \code{.Primitive} looks up by name a \sQuote{primitive}
%  (internally implemented) function.
%}
%\usage{
%.Primitive(name)
%}
%\arguments{
%  \item{name}{name of the \R function.}
%}
%\details{
%  The advantage of \code{.Primitive} over \code{\link{.Internal}}
%  functions is the potential efficiency of argument passing, and that
%  positional matching can be used where desirable, e.g.\sspace{}in
%  \code{\link{switch}}. For more details, see the \sQuote{R Internals
%    Manual}.
%
%  All primitive functions are in the base namespace.
%
%  This function is almost never used: \code{`name`} or, more carefully,
%  \code{\link{get}(name, envir = baseenv())} work equally well and do
%  not depend on knowing which functions are primitive (which does change
%  as \R evolves).
%}
%\seealso{
%  \code{\link{.Internal}}.
%}
%\examples{
%mysqrt <- .Primitive("sqrt")
%c
%.Internal # this one *must* be primitive!
%`if` # need backticks
%}
%\keyword{interface}
%
\encoding{UTF8}
