% File src/library/base/man/allnames.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{all.names}
\alias{all.names}
\alias{all.vars}
\title{Find All Names in an Expression}
\description{
一つの表現式や呼び出し中に含まれるすべての名前をふくむ文字列ベクトルを返す．
}
\usage{
all.names(expr, functions = TRUE, max.names = -1L, unique = FALSE)

all.vars(expr, functions = FALSE, max.names = -1L, unique = TRUE)
}
\arguments{
  \item{expr}{名前をそれから抜き出す表現式もしくは呼び出し．}
  \item{functions}{関数名を結果に含めるかどうかを指示する論理値．}
  \item{max.names}{返される名前の最大数．\code{-1} なら無制限(ベクトルサイズの限界を除けば)．}
  \item{unique}{重複した名前を結果から除くかどうかを指示する論理値．}
}
\details{
  これらの関数はその引数の既定値をだけが異なる．
}
\value{
  抜き出された名前のベクトル．
}
\seealso{
  表現式中のシンボルを値で置き換えるには \code{\link{substitute}}．
}
\examples{
all.names(expression(sin(x+y)))
all.names(quote(sin(x+y))) # または呼び出し
all.vars(expression(sin(x+y)))
}
\keyword{programming}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/allnames.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{all.names}
%\alias{all.names}
%\alias{all.vars}
%\title{Find All Names in an Expression}
%\description{
%  Return a character vector containing all the names which occur in an
%  expression or call.
%}
%\usage{
%all.names(expr, functions = TRUE, max.names = -1L, unique = FALSE)
%
%all.vars(expr, functions = FALSE, max.names = -1L, unique = TRUE)
%}
%\arguments{
%  \item{expr}{an \link{expression} or \link{call} from which the names
%    are to be extracted.}
%  \item{functions}{a logical value indicating whether function names
%    should be included in the result.}
%  \item{max.names}{the maximum number of names to be returned.  \code{-1}
%    indicates no limit (other than vector size limits).}
%  \item{unique}{a logical value which indicates whether duplicate names
%    should be removed from the value.}
%}
%\details{
%  These functions differ only in the default values for their
%  arguments.
%}
%\value{
%  A character vector with the extracted names.
%}
%\seealso{
%  \code{\link{substitute}} to replace symbols with values in an expression.
%}
%\examples{
%all.names(expression(sin(x+y)))
%all.names(quote(sin(x+y))) # or a call
%all.vars(expression(sin(x+y)))
%}
%\keyword{programming}
%
\encoding{UTF8}
