% File src/library/base/man/sort.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{is.unsorted}
\alias{is.unsorted}
\title{Test if an Object is Not Sorted}
\description{
  オブジェクトが(増加順に)ソートされていないことを，それをソートする手間をかけずに，
  検査する．
}
\usage{
is.unsorted(x, na.rm = FALSE, strictly = FALSE)
}
\arguments{
  \item{x}{クラスを持つ \R オブジェクト，数値，複素数値，文字列，論理値，又はバイトベクトル．}
  \item{na.rm}{論理値．チェック前に欠損値を取り除くか?}
  \item{strictly}{値が\emph{狭義に}増加しているかどうかをチェックすることを指示する
    論理値．}
}
\value{
  長さ1の論理値．長さ0か1のすべてのオブジェクトはソートされている．
  さもなければ結果は原子的なベクトルと S3 クラスのオブジェクトを除いて \code{NA}
  になる(ここで the \code{>=} か \code{>} メソッドが
  \code{2:length(x)} 中の \code{i} に対して \code{x[i]} と
  \code{x[i-1]} を比較するのに使われる，又は \code{\link{is.unsorted}()}
  に対するメソッドが提供されている S4 クラス)．
%% FIXME: rather want  '>' and '>=' methods for S4 classes be sufficient
}
\note{
  この関数は上で説明されているように一次元の添字を持つオブジェクトに
  対してデザインされている．データフレーム，行列又は他の配列は
  驚くような結果を与えるかもしれない．
  
  バイトベクトルに対するサポートは \R 3.1.0 で付け加えられた．
}
\seealso{\code{\link{sort}}, \code{\link{order}}.}

\keyword{univar}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/sort.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{is.unsorted}
%\alias{is.unsorted}
%\title{Test if an Object is Not Sorted}
%\description{
%  Test if an object is not sorted (in increasing order), without the
%  cost of sorting it.
%}
%\usage{
%is.unsorted(x, na.rm = FALSE, strictly = FALSE)
%}
%\arguments{
%  \item{x}{an \R object with a class or a numeric, complex, character,
%    logical or raw vector.}
%  \item{na.rm}{logical.  Should missing values be removed before checking?}
%  \item{strictly}{logical indicating if the check should be for
%    \emph{strictly} increasing values.}
%}
%\value{
%  A length-one logical value.  All objects of length 0 or 1 are sorted.
%  Otherwise, the result will be \code{NA} except for atomic vectors and
%  objects with an S3 class (where the \code{>=} or \code{>} method is
%  used to compare \code{x[i]} with \code{x[i-1]} for \code{i} in
%  \code{2:length(x)}) or with an S4 class where you have to provide a
%  method for \code{\link{is.unsorted}()}.
%%% FIXME: rather want  '>' and '>=' methods for S4 classes be sufficient
%}
%\note{
%  This function is designed for objects with one-dimensional indices, as
%  described above.  Data frames, matrices and other arrays may give
%  surprising results.
%  
%  Support for raw vectors was added in \R 3.1.0.
%}
%\seealso{\code{\link{sort}}, \code{\link{order}}.}
%
%\keyword{univar}
%
\encoding{UTF8}
