% File src/library/base/man/isR.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{is.R}
\title{Are we using R, rather than S?}
\usage{
is.R()
}
\alias{is.R}
\description{
  \R の下で実行されていることを検査する．
}

\details{
  この関数は \R, S そして S-PLUS のすべてのバージョンで正しく
  動作するように書かれている．
  \R と S-PLUS 8.0 以前の S の方言の双方でコードが実行可能であるためには，
  コードは \code{is.R} を定義するか，又は以下のようにそれを使わ
  なければならない

  \code{if (exists("is.R") && is.function(is.R) && is.R()) \{}\cr
  \code{    }\emph{## R 固有のコード}\cr
  \code{\} else \{}\cr
  \code{    }\emph{## コードの S バージョン}\cr
  \code{\}}
}
\value{
  \code{is.R} は \R を使っていれば \code{TRUE} を返し，さもなければ \code{FALSE}
  を返す．
}
\seealso{\code{\link{R.version}}, \code{\link{system}}.}
\examples{
x <- stats::runif(20); small <- x < 0.4
## R の初期には 'which()' は R にだけ存在した：
if(is.R()) which(small) else seq(along = small)[small]
}
\keyword{environment}
\keyword{utilities}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/isR.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{is.R}
%\title{Are we using R, rather than S?}
%\usage{
%is.R()
%}
%\alias{is.R}
%\description{
%  Test if running under \R.
%}
%
%\details{
%  The function has been written such as to correctly run in all versions
%  of \R, S and S-PLUS.
%  In order for code to be runnable in both \R and S dialects previous to
%  S-PLUS 8.0, your code must either define \code{is.R} or use it as
%
%  \code{if (exists("is.R") && is.function(is.R) && is.R()) \{}\cr
%  \code{    }\emph{## R-specific code}\cr
%  \code{\} else \{}\cr
%  \code{    }\emph{## S-version of code}\cr
%  \code{\}}
%}
%\value{
%  \code{is.R} returns \code{TRUE} if we are using \R and \code{FALSE}
%  otherwise.
%}
%\seealso{\code{\link{R.version}}, \code{\link{system}}.}
%\examples{
%x <- stats::runif(20); small <- x < 0.4
%## In the early years of R, 'which()' only existed in R:
%if(is.R()) which(small) else seq(along = small)[small]
%}
%\keyword{environment}
%\keyword{utilities}
%
\encoding{UTF8}
