% File src/library/base/man/prop.table.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{prop.table}
\title{Express Table Entries as Fraction of Marginal Table}
\concept{proportions}
\usage{
prop.table(x, margin = NULL)
}
\alias{prop.table}
\arguments{
 \item{x}{テーブル．}
 \item{margin}{それに対してマージンを生成する添字，もしくは添字のベクトル．}
}
\description{
  これは初心者には実際は \code{sweep(x, margin, margin.table(x, margin), "/")}
  であるが，もし \code{margin} が長さゼロなら \code{x/sum(x)} が
  得られることが異なる．
}
\value{
  \code{x} のようなテーブルで \code{margin} に関して相対的に表現されている．
}
\author{ Peter Dalgaard }

\seealso{\code{\link{margin.table}}}

\examples{
m <- matrix(1:4, 2)
m
prop.table(m, 1)
}
\keyword{ array }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/prop.table.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{prop.table}
%\title{Express Table Entries as Fraction of Marginal Table}
%\concept{proportions}
%\usage{
%prop.table(x, margin = NULL)
%}
%\alias{prop.table}
%\arguments{
% \item{x}{ table }
% \item{margin}{ index, or vector of indices to generate margin for}
%}
%\description{
%  This is really \code{sweep(x, margin, margin.table(x, margin), "/")}
%  for newbies, except that if \code{margin} has length zero, then one
%  gets \code{x/sum(x)}.
%}
%\value{
%  Table like \code{x} expressed relative to \code{margin}
%}
%\author{ Peter Dalgaard }
%
%\seealso{\code{\link{margin.table}}}
%
%\examples{
%m <- matrix(1:4, 2)
%m
%prop.table(m, 1)
%}
%\keyword{ array }
%
\encoding{UTF8}
